import request_blob from '@/utils/request_blob'

// 医院普通检索下载
export function bassNormalSearchDownload(data) {
  return request_blob({
    url: `/bass/normalSearchExport`,
    method: 'get',
    responseType: 'blob',
    params: data
  })
}

// 医院高级检索下载
export function bassHighSearchDownload(data) {
  return request_blob({
    url: `/bass/search_result_export`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 科室病历导出
export function depBlExport(data) {
  return request_blob({
    url: `/bazb/dep_bl_export`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 科室病历导出
export function depBlNewExport(data) {
  return request_blob({
    url: `/bazb/dep_bl_export_new`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 门诊病历导出
export function outHospitalExport(data) {
  return request_blob({
    url: `/api/omr_zk/error_list_export`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 门诊病历导出
export function outHospitalShouldExport(data) {
  return request_blob({
    url: `/api/omr_zk/get_should_be_bl_export`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 病按首页导出
export function medicalRecordExport(data) {
  return request_blob({
    url: `/api/qualityList`,
    method: 'post',
    responseType: 'blob',
    data
  })
}
// 病按首页导出
export function doctorAdviceExport(data) {
  return request_blob({
    url: `/bass/yz/serachExport`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 住院病历查询-导出
export function professionSearchExport(data) {
  return request_blob({
    url: `/bass/bl/serachExport`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 缺陷问题导出
export function errorDataExport(data) {
  return request_blob({
    url: `/api/home_quality/errorDataExport`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

export function errorDataLCExport(data) {
  return request_blob({
    url: `/api/home_sz_quality/errorData`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 缺陷问题详情导出
export function errorDetailsListExport(data) {
  return request_blob({
    url: `/api/home_quality/errorDetailsListExport`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

export function errorDetailsLCListExport(data) {
  return request_blob({
    url: `/api/home_sz_quality/errorDetailsList`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 其他统计数据详情导出
export function otherStatisticsDataExport(data) {
  return request_blob({
    url: `/api/ssbfz/getBfzList`,
    method: 'post',
    responseType: 'blob',
    data
  })
}


// 其他统计数据详情导出
export function otherStatisticsMenuExport(data) {
  return request_blob({
    url: `/api/ssbfz/exportAll`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 编码员缺陷导出
export function encoderErrorExport(data) {
  return request_blob({
    url: `/api/bmy/bmyQualityList`,
    method: 'post',
    responseType: 'blob',
    data
  })
}